bf-Blender / Linux (2005/08/02) FFMPEG support

User-contributed CVS development builds. Please test and give feedback!

Moderators: jesterKing, stiv

gabio
Posts: 0
Joined: Thu Jan 15, 2004 6:41 am
Location: Canada - Québec - Sherbrooke
Contact:

bf-Blender / Linux (2005/08/02) FFMPEG support

Post by gabio » Sat Feb 11, 2006 6:31 pm

Hi all. This is the ffmpeg integration done by Peter Schlaile. Note this is not yet available for Windows.

Builded in scons with the following command:
scons WITH_BF_FFMPEG=1 BF_FFMPEG_INC=/usr/include/ffmpeg
BF_FFMPEG_LIB='avformat avcodec avformat avcodec avutil vorbis vorbisenc
theora ogg dts a52 raw1394 z'

note: if it fail to start make sure you have all lib installed: ffmpeg,vorbis, theora, ogg, dts, raw1394

Overall:
-Sequencer kinda rewrite & speedup
-FFMPEG support. So this mean avi codec, mpeg and mov support on linux.
-Better sound support
-auto multiplex of video and sound in sequencer output.
-Some new effects
-a frame server
-Frame count can go up to 300k now.
-Some more improvement in compositing.
-Nice vector blur node.
-multithread bugfix.

and a lot more!

http://www.graphicall.org/builds/builds ... show&id=89
Last edited by gabio on Wed Mar 08, 2006 2:50 pm, edited 1 time in total.

OTO
Posts: 60
Joined: Wed Oct 16, 2002 8:51 pm
Contact:

Post by OTO » Sat Feb 11, 2006 9:31 pm

Thanks Gabio

at least an oriented sound version!!!! Hooooray!!
But...( always a but :) ) I can't get to install the "dts" thing
Only a dts-dev for Debian that don't have the needed libdts.so.0
Any tips?
Bye

kidb
Posts: 0
Joined: Wed Jul 23, 2003 4:31 pm
Contact:

Post by kidb » Sat Feb 11, 2006 10:02 pm

OTO wrote:Thanks Gabio

at least an oriented sound version!!!! Hooooray!!
But...( always a but :) ) I can't get to install the "dts" thing
Only a dts-dev for Debian that don't have the needed libdts.so.0
Any tips?
Bye
ln -s /path/to/libdts.so.x.x /path/to/libdts.so.0

OTO
Posts: 60
Joined: Wed Oct 16, 2002 8:51 pm
Contact:

Post by OTO » Sun Feb 12, 2006 10:44 am

Hello kidb

thank you, it was a nice try :)
The problem is that I don't have any libdts.so ( debian sarge)
I have a libdts.a, a libdts_plugin.so and the like
And even worst I can't find it anywhere in the Web
Bye

bobbin
Posts: 0
Joined: Sun Nov 10, 2002 6:35 pm

Post by bobbin » Sun Feb 12, 2006 12:28 pm

Hi,

Have you tried to compile the dts-dev ?
I assume it is the source for dts itself, isn't it ?

gabio
Posts: 0
Joined: Thu Jan 15, 2004 6:41 am
Location: Canada - Québec - Sherbrooke
Contact:

Post by gabio » Sun Feb 12, 2006 3:32 pm

sadly only debian have this -dev thing

for debian the lib is called libdts_pic.so or something. Anyway I linked against libdts.so
maybe build dts-dev and ln libdts_pic to libdts.so?

butelo
Posts: 0
Joined: Wed Oct 27, 2004 12:28 pm
Location: corunha galicia

Post by butelo » Mon Feb 13, 2006 7:57 pm

I used libgstdtsdec.so from gstreamer package in my Ubuntu 5.10 Breezy Badger located in /usr/lib/gstreamer-0.8/ for libdts

it worked

congratulations for all blender work!!!

OTO
Posts: 60
Joined: Wed Oct 16, 2002 8:51 pm
Contact:

Post by OTO » Mon Feb 13, 2006 10:02 pm

Hey butelo

thanks/gracias/obrigado :)

It works now

OTO
Posts: 60
Joined: Wed Oct 16, 2002 8:51 pm
Contact:

Post by OTO » Tue Feb 14, 2006 7:49 pm

Hi again

something wrong with Share Vertex colors function- Vkey?!

torax
Posts: 0
Joined: Tue Feb 14, 2006 8:02 pm

Post by torax » Tue Feb 14, 2006 8:09 pm

hello,
Im very new to blender and linux... what do I need to do to run this test on my RHEL 4?
when I run the "executable" a lot of libraries are missing. do I have to compile it from source?... where is the source?

OTO
Posts: 60
Joined: Wed Oct 16, 2002 8:51 pm
Contact:

Post by OTO » Tue Feb 14, 2006 9:38 pm

Hello

no, no it's quite easy
go easy, each library at a time
Ex: libsomething.so.0 you don't have it?

Search in your hard drive if you have a libsomething.so.something
If you have it make a symbolic link to it

ln -s libsomething.so.something libsomething.so.0

try to run Blender
Now the one above shouldn't appear in the missing
Bye

kxs
Posts: 0
Joined: Tue Nov 23, 2004 7:31 pm
Location: Poland

Post by kxs » Tue Feb 14, 2006 10:07 pm

I get this after I try to run this build:

Code: Select all

./blender: error while loading shared libraries: libgettextlib-0.14.4.so: cannot open shared object file: No such file or directory
I tried to find which package I need using this site:
http://packages.ubuntu.com/
but unfortunately I get this message:

You have searched for libgettextlib-0.14.4.so in breezy, architecture i386.
Can't find that file, at least not in that distribution and on that architecture.

What should I do than? :?

torax
Posts: 0
Joined: Tue Feb 14, 2006 8:02 pm

Post by torax » Wed Feb 15, 2006 7:42 am

yeah, Im having problems with the same libraries... can someone upload the right one?
thnx!

OTO
Posts: 60
Joined: Wed Oct 16, 2002 8:51 pm
Contact:

Post by OTO » Wed Feb 15, 2006 8:06 am

Hello

Ah, Linux is so funny :)
In Debian this file is in the gettext package
Maybe you have a different number version
No problem, make a symbolic link to the needed number

Bye

madman
Posts: 0
Joined: Sat Jun 19, 2004 3:06 am

Post by madman » Fri Feb 17, 2006 4:00 pm

I use Kubuntu, gettext give me the 0.14.5 v of the lib so i write:
sudo ln -s libgettextlib-0.14.5.so libgettextlib-0.14.4.so

in /usr/lib folder
c ya!

Post Reply